Bug 198249 - usb-storage reload isn't happening
usb-storage reload isn't happening
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-07-10 11:58 EDT by Bill Peck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 21:16:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dump of anaconda. (93.54 KB, text/plain)
2006-07-10 11:59 EDT, Bill Peck
no flags Details

  None (edit)
Description Bill Peck 2006-07-10 11:58:19 EDT
Description of problem:
Anaconda loads usb storage before sata,  This causes the internal hard drive to
come up as sdf which is incorrect.

Version-Release number of selected component (if applicable):
rawhide-20060710

How reproducible:
Everytime on a host with sata

Additional info:
I attached an anacondump.txt
Comment 1 Bill Peck 2006-07-10 11:59:33 EDT
Created attachment 132184 [details]
dump of anaconda.
Comment 2 Jeremy Katz 2006-07-10 12:46:07 EDT
We intentionally load usb-storage first (it's required so that we can do driver
disks among other things), but it should be getting removed and reloaded...

Comment 3 Jeremy Katz 2006-09-21 16:34:52 EDT
Know if this is still happening off-hand?  I'll try to verify if not
Comment 4 Bill Peck 2006-09-21 16:42:11 EDT
This problem looks to be resolved.  But in FC6 Test3 anaconda is trying to load
media from non existent drives.  /dev/sdb - /dev/sdf is a card reader which
anaonda pops up a dialog saying "can't read /dev/sdb" [retry] [cancel].  Nothing
in the kickstart references anything other than sda.  
Comment 5 Jeremy Katz 2006-09-21 21:16:52 EDT
Yeah, that's a separate bug (don't remember the #)... but can close this one out
at least.  Thanks for the confirmation

Note You need to log in before you can comment on or make changes to this bug.